Package net.shibboleth.idp.attribute

# Class ByteAttributeValue

java.lang.Object
net.shibboleth.idp.attribute.ByteAttributeValue

All Implemented Interfaces:
  `Comparable<IdPAttributeValue>`, `IdPAttributeValue`

public final class ByteAttributeValue extends Object implements IdPAttributeValue
A `byte[]` value for an `IdPAttribute`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final byte[]`
`value`
Value of the attribute.

## Constructor Summary

Constructors
Constructor
Description
`ByteAttributeValue(byte[] attributeValue)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getDisplayValue()`
Get a displayable form of the value for user interfaces and similar purposes.
`Object`
`getNativeValue()`
Get the native representation of the value of this attribute.
`byte[]`
`getValue()`
Return the value.
`int`
`hashCode()`
`String`
`toBase64()`
Gets this value as a Base64-encoded string.
`String`
`toHex()`
Get this value as a hex-encoded string.
`String`
`toString()`
`static IdPAttributeValue`
`valueOf(byte[] value)`
Returns an `EmptyAttributeValue` or `ByteAttributeValue` as appropriate.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.shibboleth.idp.attribute.IdPAttributeValue

`compareTo`

## Field Details

### value

@Nonnull private final byte[] value
Value of the attribute.

## Constructor Details

### ByteAttributeValue

public ByteAttributeValue(@Nonnull @ParameterName(name="attributeValue") byte[] attributeValue)
Constructor.

Parameters:
  `attributeValue` - value of the attribute

## Method Details

### getValue

@Nonnull public byte[] getValue()
Return the value.

Returns:
  the value

### getNativeValue

@Nonnull public Object getNativeValue()
Get the native representation of the value of this attribute.

Specified by:
  `getNativeValue` in interface `IdPAttributeValue`
Returns:
  the attribute value in native format.

### getDisplayValue

@Nonnull @NotEmpty public String getDisplayValue()
Get a displayable form of the value for user interfaces and similar purposes.

Specified by:
  `getDisplayValue` in interface `IdPAttributeValue`
Returns:
  a displayable value

### toHex

@Nonnull public String toHex()
Get this value as a hex-encoded string.

Returns:
  a hex-encoded string

### toBase64

@Nonnull public String toBase64() throws EncodingException
Gets this value as a Base64-encoded string.

Returns:
  a Base64-encoded string
Throws:
  `EncodingException` - on failure to base64 encode byte value

### equals

public boolean equals(@Nullable Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### valueOf

@Nonnull public static IdPAttributeValue valueOf(@Nullable byte[] value)
Returns an `EmptyAttributeValue` or `ByteAttributeValue` as appropriate. This method should be preferred over the constructor when the value may be null or empty.

Parameters:
  `value` - to inspect
Returns:
  `EmptyAttributeValue` or `ByteAttributeValue`